GDB (xrefs)

Public Attributes | List of all members
bfin_frame_cache Struct Reference

## Public Attributes
CORE_ADDR | base
CORE_ADDR | sp_offset
CORE_ADDR | pc
int | frameless_pc_value
CORE_ADDR | saved_regs [BFIN_NUM_REGS]
CORE_ADDR | saved_sp
long | locals

## Detailed Description

Definition at line 247 of file bfin-tdep.c.

## Member Data Documentation

## ◆ base

CORE_ADDR bfin_frame_cache::base

Definition at line 250 of file bfin-tdep.c.

Referenced by bfin_alloc_frame_cache(), bfin_frame_args_address(), bfin_frame_base_address(), bfin_frame_cache(), bfin_frame_local_address(), and bfin_frame_this_id().

## ◆ frameless_pc_value

int bfin_frame_cache::frameless_pc_value

Definition at line 253 of file bfin-tdep.c.

Referenced by bfin_alloc_frame_cache(), and bfin_frame_cache().

## ◆ locals

long bfin_frame_cache::locals

Definition at line 260 of file bfin-tdep.c.

Referenced by bfin_alloc_frame_cache().

## ◆ pc

CORE_ADDR bfin_frame_cache::pc

Definition at line 252 of file bfin-tdep.c.

Referenced by bfin_alloc_frame_cache(), bfin_frame_cache(), and bfin_frame_this_id().

## ◆ saved_regs

CORE_ADDR bfin_frame_cache::saved_regs[BFIN_NUM_REGS]

Definition at line 256 of file bfin-tdep.c.

Referenced by bfin_alloc_frame_cache(), bfin_frame_cache(), and bfin_frame_prev_register().

## ◆ saved_sp

CORE_ADDR bfin_frame_cache::saved_sp

Definition at line 257 of file bfin-tdep.c.

Referenced by bfin_frame_cache(), and bfin_frame_prev_register().

## ◆ sp_offset

CORE_ADDR bfin_frame_cache::sp_offset

Definition at line 251 of file bfin-tdep.c.

Referenced by bfin_alloc_frame_cache().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/bfin-tdep.c